## org.w3c.jigsaw.ssi.commands
Class CookieCommand

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.CookieCommand

public class CookieCommand
extends java.lang.Object
implements Command

Cookies access from server side includes. Powerfull thingy !

Constructor Summary
`CookieCommand()`

Method Summary
`boolean` | `acceptCaching()` return true if reply can be cached.
`Reply` | `execute(SSIFrame ssiframe, Request request, ArrayDictionary parameters, java.util.Dictionary variables)`
`java.lang.String` | `getName()`
`java.lang.String` | `getValue(java.util.Dictionary variables, java.lang.String variable, Request request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieCommand

    public CookieCommand()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface Command

### execute

    public Reply execute(SSIFrame ssiframe,
                         Request request,
                         ArrayDictionary parameters,
                         java.util.Dictionary variables)

  Specified by:
    execute in interface Command

### getValue

    public java.lang.String getValue(java.util.Dictionary variables,
                                     java.lang.String variable,
                                     Request request)

  Specified by:
    getValue in interface Command

### acceptCaching

    public boolean acceptCaching()

  return true if reply can be cached.
  Specified by:
    acceptCaching in interface Command
  Returns:
    a boolean.